Bug 163720 - monospace bitmap font is not monospaced
monospace bitmap font is not monospaced
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-20 12:31 EDT by Bill Nottingham
Modified: 2014-03-16 22:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.7.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 16:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example in Firefox - bugzilla.mozilla.org (46.72 KB, image/png)
2005-07-20 12:31 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2005-07-20 12:31:21 EDT
Description of problem:

The spacing and formatting of monospace bitmap fonts is screwy.

Here's an example from Firefox; the text widget in xchat behaves
similarly.

Version-Release number of selected component (if applicable):

$ rpm -q firefox pango cairo gtk2 xchat
firefox-1.1-0.2.2.deerpark.alpha2
pango-1.9.0-1
cairo-0.5.2-1
gtk2-2.7.3-1
xchat-2.4.4-1

How reproducible:

Always
Comment 1 Bill Nottingham 2005-07-20 12:31:21 EDT
Created attachment 116985 [details]
example in Firefox - bugzilla.mozilla.org
Comment 2 Owen Taylor 2005-07-20 12:51:06 EDT
Is this some font you've explicitely configured firefox to use? 
Which font?
Comment 3 Bill Nottingham 2005-07-20 14:39:08 EDT
Yes, LucidaTypewriter 10.
Comment 4 Bill Nottingham 2005-07-29 16:08:52 EDT
$ rpm -q gtk2 pango cairo
gtk2-2.7.4-1
pango-1.9.1-1
cairo-0.6.0-1


Fixed with the above. Woo.

Note You need to log in before you can comment on or make changes to this bug.